\documentclass[a4paper,10pt]{article}
\usepackage{latexsym}
\usepackage{amsmath}
\usepackage{amssymb}
\usepackage{bm}
\usepackage{graphicx}
\usepackage{wrapfig}
\usepackage{fancybox}
\pagestyle{plain}

\begin{document}

A.Chydzi\'{n}skiand{\Lstrok}.Chr\'{o}st

570

am
\begin{center}
\includegraphics[width=177.46mm,height=9.82mm]{./Analysis_of_AQM_queues_with_queue_size_based_packet_dropping_images/image001.eps}
\end{center}
and

$q_{n,0}(s)=d_{n}q_{n,0}(s)\displaystyle \frac{\lambda}{s+\lambda}+\frac{1}{s+\lambda}, n\geq 0$. (13)

From (12) we obtain then

$q_{n,k}(s)=\displaystyle \frac{c_{n}}{s+c_{n}}q_{n+1,k-1}(s)$ , $n\geq 0, k>0$, (14)

and from (13)
\begin{center}
$q_{n,0}(s)=\displaystyle \frac{1}{s+c_{n}},\ n\geq 0$.   (15)
\end{center}
Proceeding by induction, it is easy to check that (14) and (15) lead to (8), which completes the proof.
$$
\blacksquare
$$
Now we have to find $Q_{n,k}(u)$ by inverting transforms $q_{n,k}(s)$ . Due to the assumption (1), for $n\geq b$ the formula (8) reduces to a simple form:
\begin{center}
$q_{n,k}(s)=0,\ k\geq 1$,   (16)
\end{center}
and
\begin{center}
$q_{n,0}(s)=\displaystyle \frac{1}{s}$,   (17)
\end{center}
which is equivalent to
\begin{center}
$Q_{n,k}(s)=0,\ k\geq\ 1$,   (18)
\end{center}
and
\begin{center}
$Q_{n,0}(s)=1$.   (19)
\end{center}
Inverting $q_{n,k}(s)$ for $n<b$ is not very difficult either since (8) has a well-known inverse transform. Let us de- note by $D_{n,k}(s)$ the denominator in (8), namely,
\begin{center}
$D_{n,k}(s)=\displaystyle \prod_{i=0}^{k}(s+c_{n+i})$ .   (20)
\end{center}
First, we have to rewrite (8) in the following form:
\begin{center}
$D_{n,k}(s)=\displaystyle \prod_{j=1}^{L}(s+c_{j}^{*})^{\alpha_{j}}$,   (21)
\end{center}
-here $L$ is the number of different roots of $D_{n,k}(s)$ and $-c_{j}^{*}$ is a root of $D_{n,k}(s)$ with multiplicity $\alpha_{j}$. Using this notation we have
\begin{center}
$Q_{n,k}(u)=\displaystyle \sum_{j=1}^{L}\mathrm{r}\mathrm{e}\mathrm{s}_{s=-c_{j}^{*}} [\displaystyle \frac{N_{n,k}}{D_{n,k}(s)}e^{su}]$ ,   (22)
\end{center}
where $\mathrm{r}\mathrm{e}\mathrm{s}_{s=-c_{j}^{*}}$ denotes the residue at the point $-c_{j}^{*}$ and
\begin{center}
$N_{n,k}=\displaystyle \prod_{i=0}^{k-1}c_{n+i}$.   (23)
\end{center}
The residue in (22) can be easily computed using the following limit:

$\displaystyle \mathrm{r}\mathrm{e}\mathrm{s}_{s=-c_{j}^{*}}\frac{N_{n,k}}{D_{n,k}(s)}e^{su}$

$=\displaystyle \frac{1}{(\alpha_{j}-1)!}\lim_{s\rightarrow-c_{j}^{*}}\frac{\mathrm{d}^{\alpha_{j}-1}}{\mathrm{d}s^{\alpha_{j}-1}} [\displaystyle \frac{(s+c_{j}^{*})^{\alpha_{j}}N_{n,k}}{D_{n,k}(s)}e^{su}]$

(24) If every $-c_{j}^{*}$ has multiplliiciitty 1 (i.e., $\alpha_{j} = 1$ for every $j$), then
\begin{center}
$\displaystyle \mathrm{r}\mathrm{e}\mathrm{s}_{s=-c_{j}^{*}}\frac{N_{n,k}}{D_{n,k}(s)}e^{su}=\frac{N_{n,-}}{D_{n,k}'(-c_{j}^{*})}e^{-c_{j}^{*}u}$   (25)
\end{center}
and
$$
Q_{n,k}(u)=\sum_{j=1}^{L}\frac{N_{n,-}}{D_{n,k}'(-c_{j}^{*})}e^{-c_{j}^{*}u}
$$
\begin{center}
$=\displaystyle \sum_{i=0}^{k}\frac{N_{-k}}{D_{n,k}'(-c_{n+i})}e^{-c_{n+i}u}$.   (26)
\end{center}
When applying the formulas (21) $-(26)$ , the main task is to separate different roots of $D_{n,k}(s)$ and find their multiplicities. The tediousness of this work depends on the form of the dropping function. Injective functions are easiest while functions with several flat parts (steps) ma- ke the work very tedious. The following example shows results for a dropping function that has flat parts and an injective part.

Example 1. (RED dropping function) The RED dropping function (for its shape, see Fig. 1) is parameterized by two numbers: a threshold $b_{0}, 0\leq b_{0}<b$, and a probability $p_{0}, 0<p_{0} \leq 1$, such that
\begin{center}
$d_{b_{0}}\ =0,\ d_{b-1}\ =p_{0}$.   (27)
\end{center}
Using these two parameters, the RED dropping function can be presented in the following form:

$d_{n}= \left\{\begin{array}{ll}
0 & \mathrm{i}\mathrm{f}\ 0\leq n\leq b_{0},\\
vn+w & \mathrm{i}\mathrm{f}\ b_{0}<n<b,\\
1 & \mathrm{i}\mathrm{f}\ n\geq b,
\end{array}\right.$

(28)

with
\begin{center}
$v=\displaystyle \frac{p_{0}}{b-b_{0}-1},\ w=-\frac{p_{0}b_{0}}{b-b_{0}-1}$.   (29)
\end{center}
We want to compute $D_{n,k}(s)$ for the dropping func- tion (28), in the form of (21). To this end, we can first use the formula (20), then count all the obtained distinct roots of $D_{n,k}(s)$ and their multiplicities.

As we can see, the dropping function (28) has two flat parts: for $n \leq b_{0}$ and for $n \geq b$. Both of these flat parts cause root multiplications in (20). Moreover, we ha- ve a shifted index in formula (20). Namely, instead of $c_{n},$
\end{document}
